import 'package:feed_plugin/models/user_model.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:photo_view/photo_view.dart';
import 'package:cached_network_image/cached_network_image.dart';

class UserImagePage extends StatelessWidget {
  const UserImagePage({
    Key key,
    @required this.userData,
  }) : super(key: key);
  final UserModel userData;

  @override
  Widget build(BuildContext context) {
    return Directionality(
      textDirection: TextDirection.ltr,
      child: Scaffold(
        backgroundColor: Colors.black,
        appBar: AppBar(
          leading: IconButton(
            onPressed: () {
              Navigator.pop(context);
            },
            icon: Icon(
              Icons.arrow_back,
              color: Colors.white,
            ),
          ),
          title: Text(this.userData.firstName + " " + this.userData.lastName),
          backgroundColor: Colors.black,
        ),
        body: PhotoView(
          imageProvider: CachedNetworkImageProvider(
            this.userData.profileImg,
          ),
          // child: Image.network(
          //   this.userData.profileImg,
          //   fit: BoxFit.cover,
          //   // height: double.infinity,
          //   width: double.infinity,
          //   alignment: Alignment.center,
          // ),
        ),
      ),
    );
  }
}
